Loading...
Searching...
No Matches
WGPUBindGroupLayoutEntry Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
uint32_t | binding
WGPUShaderStageFlags | visibility
WGPUBufferBindingLayout | buffer
WGPUSamplerBindingLayout | sampler
WGPUTextureBindingLayout | texture
WGPUStorageTextureBindingLayout | storageTexture

## Detailed Description

Definition at line 1773 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUBindGroupLayoutEntry::nextInChain

Definition at line 1774 of file mini_webgpu.h.

## binding

uint32_t WGPUBindGroupLayoutEntry::binding

Definition at line 1775 of file mini_webgpu.h.

## visibility

WGPUShaderStageFlags WGPUBindGroupLayoutEntry::visibility

Definition at line 1776 of file mini_webgpu.h.

## buffer

WGPUBufferBindingLayout WGPUBindGroupLayoutEntry::buffer

Definition at line 1777 of file mini_webgpu.h.

## sampler

WGPUSamplerBindingLayout WGPUBindGroupLayoutEntry::sampler

Definition at line 1778 of file mini_webgpu.h.

## texture

WGPUTextureBindingLayout WGPUBindGroupLayoutEntry::texture

Definition at line 1779 of file mini_webgpu.h.

## storageTexture

WGPUStorageTextureBindingLayout WGPUBindGroupLayoutEntry::storageTexture

Definition at line 1780 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h